Bug 1260332 - samba 4.2.3-0 update fails on dependency with openchange
samba 4.2.3-0 update fails on dependency with openchange
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
22
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-05 21:55 EDT by Allen Hewes
Modified: 2016-05-06 04:01 EDT (History)
16 users (show)

See Also:
Fixed In Version: openchange-2.3-9.fc23 openchange-2.2-12.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-06 03:59:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dnf steps of samba update resolution (12.80 KB, text/plain)
2015-09-05 21:58 EDT, Allen Hewes
no flags Details

  None (edit)
Description Allen Hewes 2015-09-05 21:55:21 EDT
Description of problem:
samba 4.2.3.0 update was pushed without rebuilding openchange

	libsamba-debug-samba4.so(SAMBA_4.2.2)(64bit) is needed by (installed) openchange-2.2-7.fc22.x86_64
	libsamba-debug-samba4.so(SAMBA_4.2.2)(64bit) is needed by (installed) openchange-client-2.2-7.fc22.x86_64


Version-Release number of selected component (if applicable):
openchange-2.2-7.fc22.x86_64
samba-4.2.2-1.fc22.x86_64

How reproducible:
100%


Steps to Reproduce:
1.sudo dnf clean all
2.sudo dnf update
3.

Actual results:
[allen@4gigahurts ~] $ sudo dnf update
vivaldi                                                                                             101 kB/s |  40 kB     00:00    
Skype Repository                                                                                    107 kB/s | 1.8 kB     00:00    
Jitsi                                                                                               4.6 kB/s | 3.9 kB     00:00    
Fedora 22 - x86_64 - VirtualBox                                                                     352 kB/s |  19 kB     00:00    
google-talkplugin                                                                                    59 kB/s | 2.7 kB     00:00    
Fedora 22 - x86_64                                                                                  7.8 MB/s |  41 MB     00:05    
RPM Fusion for Fedora 22 - Free - Updates                                                           2.2 MB/s |  73 kB     00:00    
Adobe Systems Incorporated                                                                           21 kB/s | 1.8 kB     00:00    
Dropbox Repository                                                                                   15 kB/s | 2.4 kB     00:00    
SpiderOakONE Stable Distribution                                                                    645 kB/s | 201 kB     00:00    
RPM Fusion for Fedora 22 - Free                                                                      10 MB/s | 551 kB     00:00    
Scooter Software                                                                                     54 kB/s | 4.4 kB     00:00    
Adobe Systems Incorporated                                                                          3.0 kB/s | 1.8 kB     00:00    
RPM Fusion for Fedora 22 - Nonfree - Updates                                                        1.2 MB/s |  28 kB     00:00    
Repository for Ozon OS                                                                              601 kB/s |  25 kB     00:00    
Fedora 22 - x86_64 - Updates                                                                        1.5 MB/s |  14 MB     00:08    
google-chrome                                                                                        79 kB/s | 3.7 kB     00:00    
RPM Fusion for Fedora 22 - Nonfree                                                                  1.2 MB/s | 170 kB     00:00    
Trillian                                                                                             70 kB/s | 2.7 kB     00:00    
vivaldi-snapshot                                                                                     79 kB/s |  40 kB     00:00    
Last metadata expiration check performed 0:00:02 ago on Sat Sep  5 21:19:23 2015.
Dependencies resolved.
====================================================================================================================================
 Package                                     Arch                    Version                         Repository                Size
====================================================================================================================================
Skipping packages with broken dependencies:
 ctdb                                        x86_64                  2:4.2.3-0.fc22                  updates                  470 k
 ctdb-devel                                  x86_64                  2:4.2.3-0.fc22                  updates                   95 k
 libsmbclient                                x86_64                  2:4.2.3-0.fc22                  updates                  117 k
 libsmbclient-devel                          x86_64                  2:4.2.3-0.fc22                  updates                   88 k
 libwbclient                                 x86_64                  2:4.2.3-0.fc22                  updates                   93 k
 samba                                       x86_64                  2:4.2.3-0.fc22                  updates                  601 k
 samba-client                                x86_64                  2:4.2.3-0.fc22                  updates                  496 k
 samba-client-libs                           x86_64                  2:4.2.3-0.fc22                  updates                  4.3 M
 samba-common                                noarch                  2:4.2.3-0.fc22                  updates                  160 k
 samba-common-libs                           x86_64                  2:4.2.3-0.fc22                  updates                  155 k
 samba-common-tools                          x86_64                  2:4.2.3-0.fc22                  updates                  548 k
 samba-dc                                    x86_64                  2:4.2.3-0.fc22                  updates                   68 k
 samba-dc-libs                               x86_64                  2:4.2.3-0.fc22                  updates                   68 k
 samba-devel                                 x86_64                  2:4.2.3-0.fc22                  updates                  335 k
 samba-libs                                  x86_64                  2:4.2.3-0.fc22                  updates                  257 k
 samba-python                                x86_64                  2:4.2.3-0.fc22                  updates                  2.0 M
 samba-test                                  x86_64                  2:4.2.3-0.fc22                  updates                  1.5 M
 samba-test-libs                             x86_64                  2:4.2.3-0.fc22                  updates                  101 k
 samba-winbind                               x86_64                  2:4.2.3-0.fc22                  updates                  463 k
 samba-winbind-clients                       x86_64                  2:4.2.3-0.fc22                  updates                  122 k
 samba-winbind-krb5-locator                  x86_64                  2:4.2.3-0.fc22                  updates                   73 k
 samba-winbind-modules                       x86_64                  2:4.2.3-0.fc22                  updates                  103 k

Transaction Summary
====================================================================================================================================

Nothing to do.
Complete!


Expected results:
sudo dnf update;
[allen@4gigahurts samba] $ sudo dnf update
vivaldi                                                                                              62 kB/s |  40 kB     00:00    
Skype Repository                                                                                    111 kB/s | 1.8 kB     00:00    
Jitsi                                                                                               7.4 kB/s | 3.9 kB     00:00    
Fedora 22 - x86_64 - VirtualBox                                                                     193 kB/s |  19 kB     00:00    
google-talkplugin                                                                                    40 kB/s | 2.7 kB     00:00    
Fedora 22 - x86_64                                                                                  4.1 MB/s |  41 MB     00:10    
RPM Fusion for Fedora 22 - Free - Updates                                                           2.2 MB/s |  73 kB     00:00    
Adobe Systems Incorporated                                                                           22 kB/s | 1.8 kB     00:00    
Dropbox Repository                                                                                   15 kB/s | 2.4 kB     00:00    
SpiderOakONE Stable Distribution                                                                    641 kB/s | 201 kB     00:00    
RPM Fusion for Fedora 22 - Free                                                                     9.9 MB/s | 551 kB     00:00    
Scooter Software                                                                                     52 kB/s | 4.4 kB     00:00    
Adobe Systems Incorporated                                                                           20 kB/s | 1.8 kB     00:00    
RPM Fusion for Fedora 22 - Nonfree - Updates                                                        1.1 MB/s |  28 kB     00:00    
Repository for Ozon OS                                                                              713 kB/s |  25 kB     00:00    
Fedora 22 - x86_64 - Updates                                                                        4.2 MB/s |  14 MB     00:03    
google-chrome                                                                                        58 kB/s | 3.7 kB     00:00    
RPM Fusion for Fedora 22 - Nonfree                                                                  4.2 MB/s | 170 kB     00:00    
Trillian                                                                                             74 kB/s | 2.7 kB     00:00    
vivaldi-snapshot                                                                                     62 kB/s |  40 kB     00:00    
Last metadata expiration check performed 0:00:02 ago on Sat Sep  5 21:47:23 2015.
Dependencies resolved.
====================================================================================================================================
 Package                                     Arch                    Version                         Repository                Size
====================================================================================================================================
Upgrading:
 ctdb                                        x86_64                  2:4.2.3-0.fc22                  updates                  470 k
 ctdb-devel                                  x86_64                  2:4.2.3-0.fc22                  updates                   95 k
 libsmbclient                                x86_64                  2:4.2.3-0.fc22                  updates                  117 k
 libsmbclient-devel                          x86_64                  2:4.2.3-0.fc22                  updates                   88 k
 libwbclient                                 x86_64                  2:4.2.3-0.fc22                  updates                   93 k
 samba                                       x86_64                  2:4.2.3-0.fc22                  updates                  601 k
 samba-client                                x86_64                  2:4.2.3-0.fc22                  updates                  496 k
 samba-client-libs                           x86_64                  2:4.2.3-0.fc22                  updates                  4.3 M
 samba-common                                noarch                  2:4.2.3-0.fc22                  updates                  160 k
 samba-common-libs                           x86_64                  2:4.2.3-0.fc22                  updates                  155 k
 samba-common-tools                          x86_64                  2:4.2.3-0.fc22                  updates                  548 k
 samba-dc                                    x86_64                  2:4.2.3-0.fc22                  updates                   68 k
 samba-dc-libs                               x86_64                  2:4.2.3-0.fc22                  updates                   68 k
 samba-devel                                 x86_64                  2:4.2.3-0.fc22                  updates                  335 k
 samba-libs                                  x86_64                  2:4.2.3-0.fc22                  updates                  257 k
 samba-python                                x86_64                  2:4.2.3-0.fc22                  updates                  2.0 M
 samba-test                                  x86_64                  2:4.2.3-0.fc22                  updates                  1.5 M
 samba-test-libs                             x86_64                  2:4.2.3-0.fc22                  updates                  101 k
 samba-winbind                               x86_64                  2:4.2.3-0.fc22                  updates                  463 k
 samba-winbind-clients                       x86_64                  2:4.2.3-0.fc22                  updates                  122 k
 samba-winbind-krb5-locator                  x86_64                  2:4.2.3-0.fc22                  updates                   73 k
 samba-winbind-modules                       x86_64                  2:4.2.3-0.fc22                  updates                  103 k

Transaction Summary
====================================================================================================================================
Upgrade  22 Packages

Total download size: 12 M
Is this ok [y/N]: 


Additional info:
Comment 1 Allen Hewes 2015-09-05 21:56:22 EDT
BZ for samba 4.2.3.0 update:
https://bugzilla.redhat.com/show_bug.cgi?id=1088911
Comment 2 Allen Hewes 2015-09-05 21:58:28 EDT
Created attachment 1070567 [details]
dnf steps of samba update resolution
Comment 3 Allen Hewes 2015-09-16 12:14:10 EDT
Works with latest openchange rebuilds from:
http://koji.fedoraproject.org/koji/buildinfo?buildID=684837
Comment 4 Phil 2015-11-27 04:06:15 EST
Hi,

it's still failing:

# dnf repolist
Last metadata expiration check performed 0:12:31 ago on Fri Nov 27 09:52:40 2015.
repo id  repo name                    status
*fedora  Fedora 22 - x86_64           44,762
*updates Fedora 22 - x86_64 - Updates 16,773
# dnf upgrade --best
Last metadata expiration check performed 0:11:25 ago on Fri Nov 27 09:52:40 2015.
Error: package openchange-2.2-9.fc22.x86_64 requires libsamba-debug-samba4.so(SAMBA_4.2.3)(64bit), but none of the providers can be installed.
package openchange-client-2.2-9.fc22.x86_64 requires libsamba-debug-samba4.so(SAMBA_4.2.3)(64bit), but none of the providers can be installed.
package openchange-2.2-9.fc22.x86_64 requires libsamba-debug-samba4.so(SAMBA_4.2.3)(64bit), but none of the providers can be installed.
package openchange-client-2.2-9.fc22.x86_64 requires libsamba-debug-samba4.so(SAMBA_4.2.3)(64bit), but none of the providers can be installed.
package openchange-2.2-9.fc22.x86_64 requires libsamba-debug-samba4.so(SAMBA_4.2.3)(64bit), but none of the providers can be installed.
package openchange-2.2-9.fc22.x86_64 requires libsamba-debug-samba4.so(SAMBA_4.2.3)(64bit), but none of the providers can be installed

kind regards
Comment 5 rickb 2015-12-03 06:46:12 EST
Also disable Evolution connections to Exchange servers:

# dnf install evolution-mapi
Last metadata expiration check performed 0:45:05 ago on Thu Dec  3 11:58:35 2015.
Error: nothing provides libsamba-debug-samba4.so(SAMBA_4.2.3)(64bit) needed by openchange-2.2-9.fc22.x86_64
(try to add '--allowerasing' to command line to replace conflicting packages)

(maybe off topic, sorry)


Regards
Riccardo
Comment 6 Phil 2015-12-09 03:04:23 EST
Any news on this?
Comment 7 Michael Adam 2015-12-09 06:23:06 EST
Ultimately, this needs to be fixed in openchange upstream.
The problem is that openchange uses internal, unpublished APIs from Samba.
(And APIs that should not be published.)

Triggered by these Distro-Build failures, this is currently
being re-discussed upstream on the samba (and oc) development
mailing lists:

https://lists.samba.org/archive/samba-technical/2015-December/111012.html

OpenChange had at some point when this was previously discussed,
agreed to change their code. But it has not happened yet. So OpenChange
is currently stuck with Samba 4.1.8 or so if I understood correctly...

It might help if packagers from the distributions chime in in that
discussion cited above. As proof that distros are suffering from
the broken situation. Maybe this could make it more urgent to get
it fixed in OC upstream.

We are also discussing possible temporary workarounds in the samba
packages (not there yet), but we do actually have this fixed properly in upstream.
Comment 8 Allen Hewes 2015-12-17 18:10:23 EST
So what are users of Samba *and* Evolution (talking to Microsoft Exchange via OpenChange) on Fedora 23 supposed to do? Stay on Samba with unresolved CVEs?

If by "upstream" you mean RHEL 7, why can't those fixes land in Fedora?
Comment 9 Guenther Deschner 2015-12-17 18:33:42 EST
Without interfering your discussion, just a quick note:

right now there are new packages of both openchange and samba in updates-testing for f23 that should work just fine together and also address the very recently published samba security issues. The same is true for f22 as well of course (where we had to rebuild openchange to match the current samba version dependency of the security update). Please give it a try. Thanks.
Comment 10 Allen Hewes 2015-12-17 18:58:10 EST
Thank you very much Guenther!

[allen@foureyes ~]$ rpm -qa| grep '^samba-4\|^openchange-2' | sort
openchange-2.3-8.fc23.x86_64
samba-4.3.3-0.fc23.x86_64
Comment 11 Milan Crha 2016-05-06 03:59:32 EDT
This is fixed with openchange 2.3-9, thus I'm closing it. Since that version the openchange doesn't depend on the libsamba-debug any more.
Comment 12 Milan Crha 2016-05-06 04:01:35 EDT
With respect of Fedora 22, I rebuilt openchange-2.2-12.fc22 against the latest samba there. It still depends on the libsamba-debug. (see bug #1333615)

Note You need to log in before you can comment on or make changes to this bug.